Benjamin Rose - Bug #7343

Add new Contact as Manufacturers > Check Issues below.
08/28/2023 03:56 PM - Shubham J

Status: Closed Start date: 08/28/2023
Priority: Normal Due date:

Assignee: Rashi K % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

clipboard-202308281542-eavb1.png

History

#1 - 08/29/2023 12:51 PM - Rashi K

- Status changed from New to Resolved

#2 - 09/07/2023 03:14 PM - Shubham J

- Status changed from Resolved to Closed
